data "openstack_compute_flavor_v2" "m1-tiny" { name = "m1.tiny" }
data "openstack_compute_flavor_v2" "m1-small" { name = "m1.small" }
data "openstack_compute_flavor_v2" "m1-medium" { name = "m1.medium" }
data "openstack_compute_flavor_v2" "m1-large" { name = "m1.large" }
data "openstack_compute_flavor_v2" "m1-nano" { name = "m1.nano" }
data "openstack_compute_flavor_v2" "m1-xlarge" { name = "m1.xlarge" }
data "openstack_compute_flavor_v2" "m1-micro" { name = "m1.micro" }
data "openstack_compute_flavor_v2" "cirros256" { name = "cirros256" }
data "openstack_compute_flavor_v2" "ds512M" { name = "ds512M" }
data "openstack_compute_flavor_v2" "ds1G" { name = "ds1G" }
data "openstack_compute_flavor_v2" "ds2G" { name = "ds2G" }
data "openstack_compute_flavor_v2" "ds4G" { name = "ds4G" }

output "m1-tiny" { value = data.openstack_compute_flavor_v2.m1-tiny }
output "m1-small" { value = data.openstack_compute_flavor_v2.m1-small }
output "m1-medium" { value = data.openstack_compute_flavor_v2.m1-medium }
output "m1-large" { value = data.openstack_compute_flavor_v2.m1-large }
output "m1-nano" { value = data.openstack_compute_flavor_v2.m1-nano }
output "m1-xlarge" { value = data.openstack_compute_flavor_v2.m1-xlarge }
output "m1-micro" { value = data.openstack_compute_flavor_v2.m1-micro }
output "cirros256" { value = data.openstack_compute_flavor_v2.cirros256 }
output "ds512M" { value = data.openstack_compute_flavor_v2.ds512M }
output "ds1G" { value = data.openstack_compute_flavor_v2.ds1G }
output "ds2G" { value = data.openstack_compute_flavor_v2.ds2G }
output "ds4G" { value = data.openstack_compute_flavor_v2.ds4G }
